#!/usr/bin/env ruby

require 'freedb'

f = Freedb.new("/dev/cdrom")
case ARGV[0]
  when "cgi"
    puts "using cgi method"
    f.fetch_cgi()
  else
    puts "using socket method"
    f.fetch_net()
end

if f.results.size > 1 # if more than 1 result
  f.results.each_with_index { |title,i|
    printf("%02d %s\n", i, title)
  }
  print "Enter selection: "
  f.get_result(STDIN.gets.to_i)
elsif f.results.size == 1
  f.get_result(0)
else
  puts "No match found."
  exit(1)
end

printf("discid: %s\n", f.discid.dump)
printf("title: %s\n", f.title.dump)
printf("artist: %s\n", f.artist.dump)
printf("genre: %s\n", f.genre.dump)
printf("nb of tracks: %d\n", f.tracks.size)
f.tracks.each_with_index { |track,i|
  printf("%d: %s\n", i+1, track.dump)
}
f.close()
